ExamSoft System Requirements

  • SofTest can be used on virtually any modern computer (i.e. purchased within the last 3-4 years). Specific system requirements are noted below:

    Minimum PC Requirements: 

    Operating System: 32-bit and 64-bit Versions of Windows Vista, Windows 7, Windows 8, and Windows 10. Only genuine versions of Windows Operating Systems are supported.

    ExamSoft does not support Tablet or Convertible devices other than Surface Pro as detailed below. 

    CPU Processor: 1.86Ghz Intel Core 2 Duo or greater 
    RAM: highest recommended for the operating system or 2GB 

    Hard Drive: highest recommended for the operating system or 1GB of available memory. 

    Internet connection for SofTest Download, Registration, Exam Download and Upload. 

    Screen Resolution must be 1024x768 or higher

    Administrator level account permissions

    It is not possible to take secure exams through a virtual operating system such as Microsoft's Virtual Machine, Parallels or VMware, VMware Fusion or any other virtual operating system environment.


    Surface Pro Requirements: 

    Surface Pro 1, 2 & 3 only (Non-Pro Surface devices are NOT supported). 

    External Keyboard (USB or Bluetooth) required. Bluetooth keyboards must be paired prior to launching exam. 

    Hard Drive: 1GB or higher available space. 

    Internet connection for SofTest Download, Registration, Exam Download and Upload 

    Screen Resolution must be 1920x1080. 

    Administrator level account permissions

     Minimum Mac Requirements: 

    Operating System: OS X 10.7 (Lion), OS X 10.8 (Mountain Lion), 10.9 (Mavericks), and 10.10 (Yosemite).  OS X 10.11 (El Capitan) IS NOT supported.  

    CPU = Intel processor

    RAM = 2 GB

    Hard Drive = 1 GB or higher available space

    Operating System: OS X 10.6 (Snow Leopard), OS X 10.7 (Lion), OS X 10.8 (Mountain Lion), and 10.9 (Mavericks). Only genuine versions of Mac Operating Systems are supported. 

    Internet connection for SofTest Installation, Exam Download and Upload

    Administrator level account permissions


    **Please Note**
    If you have an earlier version of MAC OS, you will need a valid copy of Windows Vista, 7, or 8 installed using Apple's Bootcamp Assistant. Use of virtualization software like VMWare, Fusion, Parallels, etc is not allowed.

    Bootcamp Assistant is available in the Utilities folder on your Macintosh HD

    Microsoft Windows is not included with the MAC OS or SofTest, it needs to be purchased separately

    Older versions of MAC OS X will require an OS upgrade in order to use Bootcamp and/or SofTest. To check the version of your MAC OS, click the Apple icon on the top left of the screen and then About this MAC.